import Link from "next/link"
import Image from "next/image"

export default function Footer() {
  return (
    <footer className="bg-gray-800 text-white py-12 px-4">
      <div className="container mx-auto">
        <div className="grid grid-cols-1 md:grid-cols-4 gap-8">
          <div>
            <div className="mb-4">
              <Image src="/logo.svg" alt="Code de la Route" width={150} height={40} className="invert" />
            </div>
            <p className="text-gray-400">
              La plateforme d'apprentissage n°1 pour réussir votre examen du code de la route.
            </p>
          </div>
          <div>
            <h4 className="text-lg font-semibold mb-4">Liens rapides</h4>
            <ul className="space-y-2">
              <li>
                <Link href="/" className="text-gray-400 hover:text-[#1da7f3]">
                  Accueil
                </Link>
              </li>
              <li>
                <Link href="/login" className="text-gray-400 hover:text-[#1da7f3]">
                  Se connecter
                </Link>
              </li>
              <li>
                <Link href="/register" className="text-gray-400 hover:text-[#1da7f3]">
                  S'inscrire
                </Link>
              </li>
              <li>
                <Link href="#fonctionnalites" className="text-gray-400 hover:text-[#1da7f3]">
                  Fonctionnalités
                </Link>
              </li>
            </ul>
          </div>
          <div>
            <h4 className="text-lg font-semibold mb-4">Légal</h4>
            <ul className="space-y-2">
              <li>
                <Link href="/mentions-legales" className="text-gray-400 hover:text-[#1da7f3]">
                  Mentions légales
                </Link>
              </li>
              <li>
                <Link href="/confidentialite" className="text-gray-400 hover:text-[#1da7f3]">
                  Politique de confidentialité
                </Link>
              </li>
              <li>
                <Link href="/cgv" className="text-gray-400 hover:text-[#1da7f3]">
                  Conditions générales
                </Link>
              </li>
            </ul>
          </div>
          <div>
            <h4 className="text-lg font-semibold mb-4">Contact</h4>
            <ul className="space-y-2">
              <li className="text-gray-400">Email: contact@codedelaroute.be</li>
              <li className="text-gray-400">Téléphone: +32 123 456 789</li>
              <li className="text-gray-400">Adresse: Rue de la Route 123, 1000 Bruxelles</li>
            </ul>
          </div>
        </div>
        <div className="border-t border-gray-700 mt-8 pt-8 text-center text-gray-400">
          <p>&copy; {new Date().getFullYear()} Code de la Route. Tous droits réservés.</p>
        </div>
      </div>
    </footer>
  )
}
